воскресенье, 24 июля 2011 г.

устанавливая всякое

на новую машинку должен заметить что
  • даже в самом свежем MinGW perl версии 5.8.8. Расскажите уже им про 5.14. Python впрочем нет и вовсе никакого
  • sbcl для 64битной windows так и не осилили 
  • IDAPython c 32битным ActiveState Python 3.2.1 взлетать отказался категорически.PyKd требует в свою очередь 64битного pythonа 2.6. Пребываю в задумчивости
  • python же мне потребовался в свою очередь для сборки yasm (и его приблуды для vs2010 vsyasm) и botan. Характерно, что оба без применения рашпиля собираться отказались. Начинаю думать, что если какая-нть прога требует для сборки pythonа - может ее лучше не собирать вовсе ?
  • pyscripter, как это принято в мире OpenSource, 64битную винду не поддерживает:
    If you are using a 64bit version of Windows note that PyScripter will only work if a 32bit version of Python is installed.
  • сайт intel, посещенный давеча для обретения душевного равновесия intel c++ compiler, c firefoxом не дружит абсолютно - после заполнения их бессмысленной формы на кнопачку "Загрузить сейчас" можно жать до посинения. Пришлось повторить процедуру в ie8. Волнуюсь за линуксоидов - а ну как им захочется оттуда скачать чо-нть, а ie8 в linuxе нету например, бгг
А еще расскажите мне что нынче модно использовать для шифрования всяких нужных директорий ? Я раньше как-то особо не заморачивался, а тут подумал что все же ноут, мало ли потеряю по пьяни например - врагу всякое полезное чтобы не досталось

    5 комментариев:

    1. Про pykd:
      Никто не заставляет юзать x64 питон на x64 машине, ставь 32 битный если потребно, но тогда и сам pykd должен быть 32 битным и, соответственно, при использовании его в WinDBG, последний также должен быть 32 битным. Впрочем, можно установить обе версии ( у меня именно так ). На счет 2.6 - это тоже не догма, на сайте есть альтернативная сборка для 2.7 питона, ну и на крайняк можно собрать самостоятельно под любой годный питон ( под 3.x обычная проблема - сборка boost.python, но гики пишут что такой проблемы не существует :) ).

      ОтветитьУдалить
    2. idapython никогда activestate python и не поддерживала. Да и третью ветку вроде бы не помню, что поддерживает - только <= 2.7

      >>А еще расскажите мне что нынче модно использовать для шифрования всяких нужных директорий

      я TrueCrypt юзаю. Люди ещё хвалили стандартный виндовский bit locker, но хз насколько хорош.

      ОтветитьУдалить
    3. С виндой часто наступает печалько, когда хочется 64-х битного софта, в частности питона, потому что весь остальной софт хочет его 32-х битного. Алсо у юниксоидов, отпупленных пакедж менеджерами, может наступить печалко от необходимости тянуть руками по несколько версий одной и той же библиотеки/компилятора/интерпритатора при сборке некоторых open source проектов.

      >> А еще расскажите мне что нынче модно использовать для шифрования всяких нужных директорий ?

      + 1 за TrueCrypt с AES-128-CRT и SHA-256 в настройках. Можешь хоть директорию, хоть весь диск вместе с виндой зашифровать (будет спрашивать пароль перед загрузкой ОС). Только если диск накроется, вероятность чего при жаре, как выяснилось, не так уж мала, будет грустно с него данные восстанавливать.

      ОтветитьУдалить
    4. я смотрю тут все практически за Ъcrypt
      вот тогда скожите мне - он умеет использовать аппаратную поддержку AES ? на моих камнях она точно есть например

      ОтветитьУдалить
    5. хелп говорит, что да - http://www.truecrypt.org/docs/?s=hardware-acceleration

      ОтветитьУдалить